## org.apache.batik.bridge
Class ScriptingEnvironment.EvaluateRunnable

    java.lang.Object
      org.apache.batik.bridge.ScriptingEnvironment.EvaluateRunnable

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  ScriptingEnvironment

protected class ScriptingEnvironment.EvaluateRunnable
extends java.lang.Object
implements java.lang.Runnable

To interpret a script.

Field Summary
`protected Interpreter` `interpreter`
`protected java.lang.String` `script`

Constructor Summary
`ScriptingEnvironment.EvaluateRunnable(java.lang.String s, Interpreter interp)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### interpreter

    protected Interpreter interpreter

### script

    protected java.lang.String script

Constructor Detail

### ScriptingEnvironment.EvaluateRunnable

    public ScriptingEnvironment.EvaluateRunnable(java.lang.String s,
                                                 Interpreter interp)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.